#
# spec file for package gnutls (Version 1.2.10)
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           gnutls
BuildRequires:  gcc-c++ libgcrypt-devel libopencdk-devel lzo-devel
Version:        1.2.10
Release:        13.26.1
License:        GPL v2 or later
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://www.gnutls.org/
Source0:        %name-%version.tar.bz2
Patch0:         gnutls-char-signedness.patch
Patch1:         gnutls-CVE-2006-4790.patch
Patch2:         gnutls-fix_size_t.patch
Patch3:         gnutls-1.2.10-srptool.patch
Patch4:         gnutls-1.2.10-readline.patch
Patch5:         gnutls-GNUTLS_SA_2008_1.patch
Patch6:         gnutls-CVE-2008-4989.patch
Patch7:         CVE-2009-2730.patch
Patch8:         CVE-2009-3555-1.patch
Patch9:         bug536809.patch
Patch10:        gnutls-1.2.10-tolerant.patch
Summary:        The GNU Transport Layer Security Library
Group:          Productivity/Networking/Security
AutoReqProv:    on
PreReq:         %install_info_prereq

%description
The GnuTLS project aims to develop a library that provides a secure
layer over a reliable transport layer. Currently the GnuTLS library
implements the proposed standards of the IETF's TLS working group.



Authors:
--------
    Nikos Mavroyanopoulos
    Fabio Fiorina
    Timo Schulz
    Andrew McDonald

%package devel
License:        GPL v2 or later
Summary:        Development package for gnutls
Group:          Productivity/Networking/Security
Requires:       %name = %version libopencdk-devel libgcrypt-devel libgpg-error-devel zlib-devel lzo-devel

%description devel
Files needed for software development using gnutls.



Authors:
--------
    Nikos Mavroyanopoulos
    Fabio Fiorina
    Timo Schulz
    Andrew McDonald

%prep
%setup -q
%patch0 -p1
%patch1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1

%build
autoreconf -fi
CFLAGS="$RPM_OPT_FLAGS" ./configure \
                --prefix=%_prefix \
                --sysconfdir=%_sysconfdir \
                --libdir=%_libdir \
		--mandir=%_mandir --infodir=%_infodir \
		--localstatedir=%_localstatedir \
		--with-included-libtasn1
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
rm -rf doc/examples/.deps doc/examples/.libs

%clean
rm -rf %buildroot

%post
%run_ldconfig
%install_info --info-dir=%{_infodir} %{_infodir}/gnutls.info.gz

%postun
%run_ldconfig
%install_info_delete --info-dir=%{_infodir} %{_infodir}/gnutls.info.gz

%files
%defattr(-, root, root)
%doc THANKS README NEWS ChangeLog COPYING.LIB COPYING AUTHORS doc/examples/ doc/gnutls.html doc/*.png doc/gnutls.pdf doc/TODO doc/reference/html/*
%_bindir/certtool
%_bindir/gnutls-cli
%_bindir/gnutls-cli-debug
%_bindir/gnutls-serv
%_bindir/srptool
%_libdir/*.so.*
%_mandir/man1/*
%_infodir/%{name}*

%files devel
%defattr(-, root, root)
%_bindir/libgnutls-config
%_bindir/libgnutls-extra-config
%_includedir/*
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so
%_datadir/aclocal/*
%_libdir/pkgconfig/*
%_mandir/man3/*

%changelog
* Tue Jan  4 2011 meissner@suse.de
- Did some more s390x size_t vs int fixes. [bnc#536809],[bnc#659128]
- re-enabled "legacy negotiation" [bnc#554084]
* Mon Dec 27 2010 gjhe@novell.com
- fix safe-renegotiation for sle10sp3 and sle10sp4
  bug[bnc#554084]
* Mon Dec 27 2010 gjhe@novell.com
- fix bug [bnc#536809],fix gnutls-cli to abort connection after
  detecting a bad certificate
* Fri Oct 22 2010 gjhe@novell.com
- fix bug [bnc#554084]
  add support for safe renegotiation
  CVE-2009-3555
* Fri Aug 21 2009 gjhe@suse.de
- fix security bug [bnc#528372]
  new CVE-2009-2730
* Fri Mar 13 2009 jshi@suse.de
- fix security bug [bnc#457938]
  new CVE-2008-4989
* Tue Dec  2 2008 jshi@suse.de
- fix security bug [bnc#441856]
  CVE-2008-4989
* Fri Aug  1 2008 meissner@suse.de
- run testsuite
* Wed May 21 2008 mkoenig@suse.de
- fix three security bugs [bnc#392947]
  CVE-2008-1948 GNUTLS-SA-2008-1-1
  Fix crash when sending invalid server name
  CVE-2008-1949 GNUTLS-SA-2008-1-2
  Fix crash when sending repeated client hellos
  CVE-2008-1950 GNUTLS-SA-2008-1-3
  Fix crash in cipher padding decoding for invalid record lengths
* Mon Nov 26 2007 mkoenig@suse.de
- fix wrong type, resulting in bus error on s390x [#97441]
- fix srptool never matching passowrds [#208227]
- fix readline implementation in gnutls [#266446]
* Tue Sep 19 2006 mkoenig@suse.de
- security fix [#206636] (CVE-2006-4790)
* Sat Feb 18 2006 ro@suse.de
- cleanup doc directory (.deps,.libs)
* Fri Feb 10 2006 hvogel@suse.de
- Update to version 1.2.10. This release fixes several serious
  bugs that would make the DER decoder in libtasn1 crash on
  invalid input [#149897]. Including:
  * Corrected a bug in certtool for 64 bit machines.
  * Fix gnutls-cli STARTTLS hang when SIGINT is sent too quickly
  * Corrected bugs in gnutls_certificate_set_x509_crl() and
    gnutls_certificate_set_x509_trust(), that caused memory
    corruption if more than one certificates were added.
  * Fixed bug in non-blocking gnutls_bye(). gnutls_record_send()
    will no longer invalidate a session if the underlying send
    fails, but it will prevent future writes.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Dec 20 2005 ro@suse.de
- do not package /usr/share/info/dir
* Fri Dec  9 2005 hvogel@suse.de
- update to version 1.2.9
* Tue Oct 25 2005 hvogel@suse.de
- update to version 1.2.8
* Mon Aug 22 2005 hvogel@suse.de
- fix data type comparison [Bug #104617]
* Sun Jul  3 2005 hvogel@suse.de
- update to version 1.2.5
* Wed Jun 29 2005 hvogel@suse.de
- patch from mrueckert to use external lzo again
* Thu Jun 23 2005 hvogel@suse.de
- use %%install_info/%%install_info_delete
* Tue Jun  7 2005 hvogel@suse.de
- update to version 1.2.4
* Fri Jun  3 2005 ro@suse.de
- fix specfile (don't apply non-existant patch1)
* Thu Jun  2 2005 hvogel@suse.de
- use included minilzo
* Wed May 25 2005 hvogel@suse.de
- Update to version 1.2.3 (fixes gnutls DOS Bug #83481)
- Include defines.h before gnutls.h, to pull in config.h, to make
  sure memmem.h prototype memmem properly
* Sat Jan 29 2005 hvogel@suse.de
- Update to version 1.2.0
* Wed Jan 19 2005 hvogel@suse.de
- update to version 1.1.23
- get rid of prebuild html/ps docu again, the devel packages has
  man-pages now
* Mon Dec 13 2004 hvogel@suse.de
- update to version 1.0.23
- make build of postscript/html docu configureable
* Sat Oct 23 2004 hvogel@suse.de
- move config script to the devel package
* Thu Oct 14 2004 hvogel@suse.de
- Update to version 1.0.21
* Tue Sep 28 2004 hvogel@suse.de
- add doc subpackage with prebuild html/ps docu (Bug #44496)
* Mon Sep 27 2004 hvogel@suse.de
- fix ac-quotation patch to include libgnutls-extra.m4 (Bug #46035)
* Tue Aug 31 2004 kukuk@suse.de
- Update to version 1.0.20
* Mon Aug 30 2004 kukuk@suse.de
- Add libopencdk-devel to neededforbuild
* Thu Jul 15 2004 hvogel@suse.de
- add libgcrypt-devel and lipgpg-error-devel to nfb
* Wed May 19 2004 hvogel@suse.de
- update to version 1.0.13
* Fri May 14 2004 mmj@suse.de
- Add C++ compiler to build
- Don't remove buildroot when installing
* Mon Mar  1 2004 hvogel@suse.de
- update to version 1.0.8
* Tue Feb 17 2004 hvogel@suse.de
- update to version 1.0.6
- fix autoconf quotations
* Wed May 14 2003 schubi@suse.de
- initial; Sourcecode received from XIMIAN
